# appimage-builder recipe see https://appimage-builder.readthedocs.io for details
version: 1
AppDir:
  path: /home/rusconi/devel/minexpert3/build-area/unix/AppDir
  app_info:
    id: org.msxpertsuite.minexpert3
    name: mineXpert3
    icon: minexpert3
    version: 10.1.0
    exec: usr/bin/minexpert3
    exec_args: $@
  runtime:
    env:
      APPDIR_LIBRARY_PATH: $APPDIR/lib/x86_64-linux-gnu:$APPDIR/usr/lib/x86_64-linux-gnu
    path_mappings:
      - /usr/share/doc/minexpert3/:$APPDIR/usr/share/doc/minexpert3/
  apt:
    arch:
    - amd64
    allow_unauthenticated: true
    sources:
    - sourceline: deb http://deb.debian.org/debian/ trixie main contrib non-free non-free-firmware
    - sourceline: deb [trusted=yes] http://reprepro.localhost/ unstable main
    include:
    - libc6:amd64
    - minexpert3
    - minexpert3-doc
    - graphicsmagick-imagemagick-compat
    - libgomp1
    - libfreetype6
    - libqt6svg6
    - libqt6xml6
    - libqt6core5compat6
    - libqt6printsupport6
    - libqcustomplot2.1-qt6
    - libisospec++2
    - libpappsomspp0
    - libpappsomspp-widget0
  files:
    include: []
    exclude:
    - usr/share/man
    - usr/share/doc/*/README.*
    - usr/share/doc/*/changelog.*
    - usr/share/doc/*/NEWS.*
    - usr/share/doc/*/TODO.*
  test:
    fedora-30:
      image: appimagecrafters/tests-env:fedora-30
      command: ./AppRun
    debian-stable:
      image: appimagecrafters/tests-env:debian-stable
      command: ./AppRun
    archlinux-latest:
      image: appimagecrafters/tests-env:archlinux-latest
      command: ./AppRun
    centos-7:
      image: appimagecrafters/tests-env:centos-7
      command: ./AppRun
    ubuntu-xenial:
      image: appimagecrafters/tests-env:ubuntu-xenial
      command: ./AppRun
AppImage:
  arch: x86_64
  update-information: guess
